<?php

/**
 * @copyright  2025 AdAures
 * @license    https://www.gnu.org/licenses/agpl-3.0.en.html AGPL3
 * @link       https://castopod.org/
 */

/* Autogenerated from https://raw.githubusercontent.com/Podcastindex-org/podcast-namespace/main/taxonomy-en.json on 2025-02-24T12:53:48+00:00 */

namespace AdAures\PodcastPersonsTaxonomy;

class ReversedTaxonomy {
	public static $taxonomy = [
  'creative direction' => [
    'slug' => 'creative_direction',
    'roles' => [
      'director' => [
        'slug' => 'director',
      ],
      'assistant director' => [
        'slug' => 'assistant_director',
      ],
      'executive producer' => [
        'slug' => 'executive_producer',
      ],
      'senior producer' => [
        'slug' => 'senior_producer',
      ],
      'producer' => [
        'slug' => 'producer',
      ],
      'associate producer' => [
        'slug' => 'associate_producer',
      ],
      'development producer' => [
        'slug' => 'development_producer',
      ],
      'creative director' => [
        'slug' => 'creative_director',
      ],
    ],
  ],
  'cast' => [
    'slug' => 'cast',
    'roles' => [
      'host' => [
        'slug' => 'host',
      ],
      'co-host' => [
        'slug' => 'co_host',
      ],
      'guest host' => [
        'slug' => 'guest_host',
      ],
      'guest' => [
        'slug' => 'guest',
      ],
      'voice actor' => [
        'slug' => 'voice_actor',
      ],
      'narrator' => [
        'slug' => 'narrator',
      ],
      'announcer' => [
        'slug' => 'announcer',
      ],
      'reporter' => [
        'slug' => 'reporter',
      ],
    ],
  ],
  'writing' => [
    'slug' => 'writing',
    'roles' => [
      'author' => [
        'slug' => 'author',
      ],
      'editorial director' => [
        'slug' => 'editorial_director',
      ],
      'co-writer' => [
        'slug' => 'co_writer',
      ],
      'writer' => [
        'slug' => 'writer',
      ],
      'songwriter' => [
        'slug' => 'songwriter',
      ],
      'guest writer' => [
        'slug' => 'guest_writer',
      ],
      'story editor' => [
        'slug' => 'story_editor',
      ],
      'managing editor' => [
        'slug' => 'managing_editor',
      ],
      'script editor' => [
        'slug' => 'script_editor',
      ],
      'script coordinator' => [
        'slug' => 'script_coordinator',
      ],
      'researcher' => [
        'slug' => 'researcher',
      ],
      'editor' => [
        'slug' => 'editor',
      ],
      'fact checker' => [
        'slug' => 'fact_checker',
      ],
      'translator' => [
        'slug' => 'translator',
      ],
      'transcriber' => [
        'slug' => 'transcriber',
      ],
      'logger' => [
        'slug' => 'logger',
      ],
    ],
  ],
  'audio production' => [
    'slug' => 'audio_production',
    'roles' => [
      'studio coordinator' => [
        'slug' => 'studio_coordinator',
      ],
      'technical director' => [
        'slug' => 'technical_director',
      ],
      'technical manager' => [
        'slug' => 'technical_manager',
      ],
      'audio engineer' => [
        'slug' => 'audio_engineer',
      ],
      'remote recording engineer' => [
        'slug' => 'remote_recording_engineer',
      ],
      'post production engineer' => [
        'slug' => 'post_production_engineer',
      ],
    ],
  ],
  'audio post-production' => [
    'slug' => 'audio_post_production',
    'roles' => [
      'audio editor' => [
        'slug' => 'audio_editor',
      ],
      'sound designer' => [
        'slug' => 'sound_designer',
      ],
      'foley artist' => [
        'slug' => 'foley_artist',
      ],
      'composer' => [
        'slug' => 'composer',
      ],
      'theme music' => [
        'slug' => 'theme_music',
      ],
      'music production' => [
        'slug' => 'music_production',
      ],
      'music contributor' => [
        'slug' => 'music_contributor',
      ],
    ],
  ],
  'administration' => [
    'slug' => 'administration',
    'roles' => [
      'production coordinator' => [
        'slug' => 'production_coordinator',
      ],
      'booking coordinator' => [
        'slug' => 'booking_coordinator',
      ],
      'production assistant' => [
        'slug' => 'production_assistant',
      ],
      'content manager' => [
        'slug' => 'content_manager',
      ],
      'marketing manager' => [
        'slug' => 'marketing_manager',
      ],
      'sales representative' => [
        'slug' => 'sales_representative',
      ],
      'sales manager' => [
        'slug' => 'sales_manager',
      ],
    ],
  ],
  'visuals' => [
    'slug' => 'visuals',
    'roles' => [
      'graphic designer' => [
        'slug' => 'graphic_designer',
      ],
      'cover art designer' => [
        'slug' => 'cover_art_designer',
      ],
    ],
  ],
  'community' => [
    'slug' => 'community',
    'roles' => [
      'social media manager' => [
        'slug' => 'social_media_manager',
      ],
    ],
  ],
  'misc.' => [
    'slug' => 'misc',
    'roles' => [
      'consultant' => [
        'slug' => 'consultant',
      ],
      'intern' => [
        'slug' => 'intern',
      ],
    ],
  ],
  'video production' => [
    'slug' => 'video_production',
    'roles' => [
      'camera operator' => [
        'slug' => 'camera_operator',
      ],
      'lighting designer' => [
        'slug' => 'lighting_designer',
      ],
      'camera grip' => [
        'slug' => 'camera_grip',
      ],
      'assistant camera' => [
        'slug' => 'assistant_camera',
      ],
    ],
  ],
  'video post-production' => [
    'slug' => 'video_post_production',
    'roles' => [
      'editor' => [
        'slug' => 'editor',
      ],
      'assistant editor' => [
        'slug' => 'assistant_editor',
      ],
    ],
  ],
];
}
